Abrir sesión
logo

DEFENSA FRONTE ÁS CIBERAMEAZAS

barra-separadora

Soporte de vulnerabilidades

Servicio de soporte de vulnerabilidadesAnálisis, notificación y seguimiento de aquellas vulnerabilidades más críticas, que impactan especialmente en las tecnologías empleadas en el sector público. El CCN-CERT trabajará en la recopilación y clasificación de las nuevas vulnerabilidades, realizando un análisis teórico y en laboratorio, cuando sea posible, de aquellas que por su criticidad lo requieran.

Se generarán documentos informativos o “abstracts” de dichas vulnerabilidades y se llevará a cabo un seguimiento de la evolución de la vulnerabilidad en Internet, alertando a los organismos ante cambios en la criticidad, aparición de parches, nuevas recomendaciones, constancia de explotaciones activas, etc.

Para inscribirse en este servicio o recibir más información, escribir al correo electrónico: soporte_acreditacion@ccn.cni.es

Abstracts:


Vulnerability Bulletins


Vulnerabilidad de desbordamiento de búfer en l2tpd

Vulnerability classification

Property Value
Confidence level Oficial
Impact Obtener acceso
Dificulty Experto
Required attacker level Acceso remoto sin cuenta a un servicio exotico

System information

Property Value
Affected manufacturer GNU/Linux
Affected software l2tpd <=0.69

Description

Se ha descubierto una vulnerabilidad de desbordamiento de búfer (en la zona bss) en las versión 0.69 y anteriores de l2tpd. La vulnerabilidad reside en la función write_packet() del archivo control.c y se debe a la falta de validación de la entrada que proporciona el usuario.

La explotación de esta vulnerabilidad podría llegar a permitir a un atacante remoto la ejecución remota de código mediante el envío de un paquete especialmente diseñado. Sin embargo, no se ha confirmado que esta vulnerabilidad sea explotable.

Solution



Actualización de software

Debian Linux

Debian Linux 3.0
Source
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2.dsc
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2.diff.gz
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67.orig.tar.gz
Alpha
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.1_alpha.deb
ARM
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_arm.deb
Intel IA-32
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_i386.deb
Intel IA-64
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_ia64.deb
HP Precision
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_hppa.deb
Motorola 680x0
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_m68k.deb
Big endian MIPS
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_mips.deb
Little endian MIPS
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_mipsel.deb
PowerPC
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_powerpc.deb
IBM S/390
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_s390.deb
Sun Sparc
http://security.debian.org/pool/updates/main/l/l2tpd/l2tpd_0.67-1.2_sparc.deb

Standar resources

Property Value
CVE CAN-2004-0649
BID NULL

Other resources

Debian Security Advisory DSA 530-1
http://lists.debian.org/debian-security-announce/debian-security-announce-2004/msg00131.html

Version history

Version Comments Date
1.0 Aviso emitido 2004-07-19
Volver

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración